<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: notepad.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: выделение объявления
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

define( "ROOT_DIR", "../../.." );
define( "ENGINE_DIR", "../.." );

$OptAjax = array( "tpl" => true );
require_once( ENGINE_DIR."/ajax/board/OptAjax.php" );

//-------------------------------------------------====
//	Принятие и проверка входящих данных
//-------------------------------------------------====

$id = intval( $_REQUEST['id'] );
if( !$id ) echoReturn( "Приняты не все данные, попробуйте снова!" );
if( !in_array( $Board->Config['echo_post_color'], array( "hand", "auto" ) ) ) echoReturn( "Выделение объявлений выключено администрацией!" );

//-------------------------------------------------====
//	Выполнение и вывод в зависимости от запроса
//-------------------------------------------------====

$result = $db->query( "SELECT `title`,`alt_name`,`author`,`category`,`email` FROM ".PREFIX."_board_post WHERE `id`='{$id}' AND `approve`='1'" );
if( $db->num_rows( $result ) > 0 )
	{
		$row = $db->get_row( $result );
		$author = stripslashes( $row['author'] );
		$title = stripslashes( $row['title'] );
		$emailTo = $row['email'];
		$alt_name = $row['alt_name'];
		$category = intval( $row['category'] );
		
		$linkBoard = "http://".$_SERVER['HTTP_HOST'].$Board->ReturnLinkPost( $id, $alt_name, $category );
		$userEmail = $is_logged ? $member_id['email'] : "";
		
		if( !in_array( $Board->Config['echo_post_color'], array( "hand", "auto" ) ) ) die( "<span style=\"color: #F00;\">Выделение объявлений отключено администрацией сайта!</span>" );
						
		$type = "color";
		$day = intval( $_POST['day'] );
		if( $day > 0 )
			{
				if( !file_exists( ENGINE_DIR."/inc/payments/management/init.php" ) ) die( "<span style=\"color: #F00;\">Автоматическая оплата не возможна!</span>" );
				require_once( ENGINE_DIR."/inc/payments/management/init.php" );
				$template = @file_get_contents( $tpl->dir."/board/modal/pay.system.list.tpl" );
				$buyOptions = array(
					"board_id" => $id,
					"type_vip" => $type,
					"day" => $day,
				);
				$tpl->result['board'] = $Payments->ListPaySystem( "dle_board", $template, $buyOptions );
			}
				else
			{
				$tpl->Load_Template( "board/modal/color.tpl" );
								
				$tpl->set( "{id}", $id );
				$tpl->set( "{title}", $title );
				$tpl->set( "{link}", $linkBoard );
				$tpl->set( "{statusSend}", "statusBoardColor_{$id}" );
				$tpl->set( "{price}", $Board->Config['echo_post_colorprice'] );
								
				$tpl->copy_template = preg_replace( "#\\[auto\\](.+?)\\[/auto\\]#is", ( $Board->Config['echo_post_color'] == "auto" ? "\\1" : "" ), $tpl->copy_template );
				$tpl->copy_template = preg_replace( "#\\[hand\\](.+?)\\[/hand\\]#is", ( $Board->Config['echo_post_color'] == "hand" ? "\\1" : "" ), $tpl->copy_template );
								
				$tpl->copy_template = "
					<form method=\"post\" action=\"\" name=\"BoardColor_{$id}\" onsubmit=\"BoardformSubmit( 'BoardColor_{$id}', 'color.php', 'BoardSetColor_{$id}', 'arrow-ajax.gif', 'statusBoardColor_{$id}' ); return false;\">
						{$tpl->copy_template}
						<input type=\"hidden\" name=\"id\" value=\"{$id}\" />
						<input type=\"hidden\" name=\"type\" value=\"{$type}\" />
					</form>
				";
				$tpl->compile( "board" );
				$tpl->clear();
			}
	}
		else
	{
		echo "Объявление не найдено!";	
	}

$tpl->resulr['board'] = str_replace( "{THEME}", $THEME, $tpl->result['board'] );
echo $tpl->result['board'];

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>